注释

创建网站注释

POST/api/websites/{websiteId}/annotations

向网站添加带日期的备注,可选将其标记为全天注释。

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
websiteIdrequiredstringID of the website.

Request body

NameTypeDescription
allDaybooleanWhether the annotation applies to the entire day.
daterequiredstring
noterequiredstringText of the annotation.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
allDayrequiredbooleanWhether the annotation applies to the entire day.
createdAtrequiredstringDate and time the record was created.
daterequiredstring
idrequiredstringUnique identifier of the resource.
noterequiredstringText of the annotation.
updatedAtrequiredstringDate and time the record was last updated.
userIdrequiredstringID of the associated user.
websiteIdrequiredstringID of the website.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL